# Get a setting

Canonical: https://docs.shumoku.dev/en/server/next/api/getSettingsByKey
Language: en
Server documentation version: next
Product version: 0.1.6-beta.4
Channel: development

This documentation describes the Server currently in development.

Shumoku Server API · 0.1.6-beta.4 · Settings

# Get a setting

[OpenAPI source](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)

```
GET /api/settings/{key}
```

## Authentication

sessionCookie / bearerAuth

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | Setting | `Setting` |
| `401` | Authentication is required | `Error` |
| `404` | The setting does not exist | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)
